Vehicle History
Retrieve a vehicle history report by VIN, including title, brand, junk/salvage and insurance records.
Retrieve a vehicle history report by VIN, including title, brand, junk/salvage and insurance records.
Your CarsXE API key, passed as the key query parameter.
In: query
Query Parameters
The 17 character long vehicle identification number.
"WBAFR7C57CC811956"17 <= length <= 17The format of the response. One of json or xml.
"json""json" | "xml"Set to true or 1 to include a Lien & Theft check for the same VIN under lienTheft. Billed as one extra Lien & Theft call, only when lien & theft data is returned.
"true" | "1"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -G https://api.carsxe.com/history \ -d key=CARSXE_API_KEY \ -d vin=WBAFR7C57CC811956{
"success": true,
"vin": "string",
"junkAndSalvageInformation": [
{}
],
"insuranceInformation": [
{}
],
"brandsRecordCount": 0,
"brandsInformation": [
{}
],
"vinChanged": true,
"currentTitleInformation": [
{}
],
"historyInformation": [
{}
],
"lienTheft": {
"success": true,
"message": "string",
"year": 0,
"make": "string",
"model": "string",
"type": "string",
"events": [
{}
],
"trim_data": {}
}
}{
"success": false,
"message": "Missing vin (vehicle identification number)"
}{
"success": false,
"message": "Missing API key"
}{
"success": false,
"message": "This API key has been blocked, please contact support if you believe this is an error."
}{
"success": false,
"message": "No data found for this VIN"
}{
"success": false,
"message": "API usage limit exceeded",
"usage": {
"current": 1000,
"limit": 1000,
"remaining": 0
}
}{
"success": false,
"message": "Internal server error"
}